# Air Freight: GLEC

💡 **High-Level Description:**

The Global Logistics Emissions Council (GLEC) represents an unparalleled effort to standardize emissions calculations across the logistics sector. Recognizing the fragmented methodologies present in the freight domain, GLEC designed a comprehensive framework tailored specifically for air freight. This framework emphasizes consistent emissions reporting and consolidation, understanding that standardized data leads to informed decision-making.

GLEC’s methodology for air freight factors in the diverse fleet compositions, varying load efficiencies, and distinct routes that shape the aviation logistics landscape. By accounting for these nuances, it provides businesses with a tool to monitor, report, and ultimately reduce their carbon footprints, while maintaining operational efficiency. With the GLEC framework in place, air freight companies can confidently navigate the intersection of economic growth and sustainable operations.

## **Sample API Requests**

### A. Without audit mode (for pre-booking/quotes)

```json
{
  "expand": ["items"],
  "items": [
    {
      "audit": false,
      "type": "air_freight",
      "external_reference": "test_1",
      "origin": "LHR",
      "destination": "HAM",
      "weight_in_tonnes": 2,
      "plane_type": "belly_freighter",
      "energy_scope": "ttw",
      "methodology": "GLEC"
    }
  ]
}
```

### B. With audit mode (for finalized/post-booking calculations)

```json
{
  "expand": ["items"],
  "audit_for": "<Auditable Entity ID>",
  "items": [
    {
      "audit": true,
      "type": "air_freight",
      "external_reference": "test_1",
      "origin": "LHR",
      "destination": "HAM",
      "weight_in_tonnes": 2,
      "plane_type": "belly_freighter",
      "energy_scope": "ttw",
      "methodology": "GLEC"
    }
  ]
}
```

> **Note:** `audit_for` is optional. Provide when calculating on behalf of a specific Auditable entity; otherwise omit.

## **API Request Items**

* `"type"`: `"air_freight"` (required)
* `"methodology"`: `"GLEC"` (required)
* `"external_reference"`: A unique identifier that helps you link the resulting emissions to the requested item. Especially useful if multiple items are requested since SQUAKE cannot guarantee to keep the same order. The maximum length is 128 characters.
* `"origin"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"destination"`: SQUAKE will try to resolve the origin/destination regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"distance_in_km"`: Prioritized over `origin` and `destination`. If you don't have a `distance_in_km`, you can use `origin` and `destination` and the distance will be automatically resolved. If you pass both `distance_in_km` and `origin`/`destination`, then `distance_in_km` will be used.
* `"weight_in_tonnes"`: Numeric value.
* `"plane_type"`: Values are `belly_freighter`, `freighter` and `average`. Default is `average`.
* `"energy_scope"`: Values are `ttw` or `wtw`. Default value is `wtw`.
* `"audit"`: boolean (optional). Set to `true` to create immutable audit records for finalized calculations. Must be enabled for your account.

#### **Default values**

* `"plane_type": "belly_freighter"`
* `"energy_scope": "wtw"`

### **Sample API Response**

```json
{
    "carbon_quantity": 1654776,
    "carbon_unit": "gram",
    "items": [
        {
            "carbon_quantity": 1654776,
            "carbon_unit": "gram",
            "external_reference": "test_1",
            "type": "air_freight",
            "methodology": "GLEC",
            "distance": 846.0,
            "distance_unit": "kilometer",
            "algorithm_specifics": {
                "algorithm_type": "glec",
                "data": {
                    "co2e_in_g": 1654776,
                    "co2e_emissions_wtw_in_g": 2093004,
                    "co2e_per_tonne_km_in_g": 978,
                    "tonne_km": 1692,
                    "reporting_year": 2024,
                    "transportation_mode": "air_transportation"
                }
            }
        }
    ]
}
```

Smart Freight Center helped us fine tune our calculations of all freight and logistics related operations in accordance with the GLEC framework.

### **Bibliography**

* Smart Freight Center (2024). Global Logistics Emissions Council Framework V3.1.
* Towards efficient and zero emissions (n.d.). Smart Freight Centre. Retrieved from <https://www.smartfreightcentre.org/en/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-integration.squake.earth/api-calculations-request-response/logistics/air-freight/air-freight-glec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
